Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Use Provider API in Distribution plugin too

Prove Kotlin settings scripts support the Kotlin script API

Let precompiled init scripts support the Kotlin script API

Don't require reified type parameter for `Action.invoke` operator

In order to make it more broadly useful.

Prove precompiled script templates honor `HasImplicitReceiver`

Add a last chance to locate MSBuild specifically for VS2019

Add a last chance to locate MSBuild specifically for VS2019

Add a last chance to locate MSBuild specifically for VS2019

Use lambdas and avoid use of deprecated archive APIs

Use lambdas and avoid use of deprecated archive APIs

Use lambdas and avoid use of deprecated archive APIs

Use lambdas and avoid use of deprecated archive APIs

Use lambdas and avoid use of deprecated archive APIs

Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 50 more files in changeset.
Remove use of deprecated APIs in PluginBuilder

Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 42 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 46 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 49 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 47 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 47 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 50 more files in changeset.
Remove use of deprecated API

Remove use of deprecated APIs in PluginBuilder

Replace use of archiveName with archiveFileName

Avoid more deprecated APIs

  1. … 50 more files in changeset.
Check for deprecations in samples (#10883)

Check for deprecations in samples

hack

Let Kotlin settings script honor the common `KotlinScript` contract

Restore legacy settings script templates for backward compatibility

Merge pull request #10865 from gradle/wolfs/duplicates/deprecate-duplicate-files

Emit deprecation warning for duplicate files with default duplicate strategy

Introduce `KotlinScript` contract and implement it for Kotlin init scripts

Implement `Gradle` methods missing from `GradleDelegate`

Restore `PrecompiledInitScript` interface for backward compatibility

And do the same to `KotlinInitScript`, the script template used by the

IDE for content assistance.